> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update content extraction settings

> Updates extraction settings for a project, including extraction mode and JavaScript rendering options.



## OpenAPI

````yaml put /projects/{project_id}/content_extraction_settings
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/content_extraction_settings:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
    put:
      tags:
        - Extraction settings
      summary: Update extraction settings
      description: >-
        Updates extraction settings for a project, including extraction mode and
        JavaScript rendering options.
      operationId: content_extraction_settings_project#update
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/requestBodyContentExtractionSettings'
            examples:
              example_preprocessing_settings:
                $ref: >-
                  #/components/examples/requestBodyUpdateContentExtractionSettingsRequestExample
      responses:
        '200':
          description: successful
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/contentExtractionSettingsExample'
              schema:
                $ref: '#/components/schemas/contentExtractionSettingsModel'
        '401':
          description: Invalid authentication token
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/unauthorizedErrorExample'
              schema:
                $ref: '#/components/schemas/errorModel'
        '404':
          description: Content extraction settings not found for project
      security:
        - apiKey: []
components:
  schemas:
    requestBodyContentExtractionSettings:
      type: object
      properties:
        mode:
          type: string
          enum:
            - automatic
            - manual
            - legacy
          description: The mode to use for content extraction
        javascript_enabled:
          type: boolean
          description: >-
            Whether to evaluate JavaScript when extracting content. Useful for
            single-page applications.
        static_ip_enabled:
          type: boolean
          description: >-
            Whether requests should originate from a static IP address when
            extracting content.
        request_headers:
          type: object
          description: >-
            Headers that you want to include in the HTTP request when fetching
            and extracting the content.
    contentExtractionSettingsModel:
      type: object
      properties:
        mode:
          type: string
          enum:
            - automatic
            - manual
            - legacy
          description: The mode to use for content extraction
        javascript_enabled:
          type: boolean
          description: >-
            Whether to evaluate JavaScript when extracting content. Useful for
            single-page applications.
        static_ip_enabled:
          type: boolean
          description: >-
            Whether requests should originate from a static IP address when
            extracting content.
        request_headers:
          type: object
          description: >-
            Headers that you want to include in the HTTP request when fetching
            and extracting the content.
    errorModel:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        message:
          type: string
          description: Error message
        errors:
          type: array
          nullable: true
          items:
            type: object
            properties:
              location:
                type: string
              message:
                type: string
  examples:
    requestBodyUpdateContentExtractionSettingsRequestExample:
      summary: A sample content extraction settings settings request
      value:
        mode: manual
        javascript_enabled: false
        static_ip_enabled: true
        request_headers:
          X-Custom-Header: my-custom-value
    contentExtractionSettingsExample:
      summary: A sample content extraction settings response
      value:
        mode: automatic
        javascript_enabled: true
        static_ip_enabled: false
        request_headers:
          X-Paywall-Token: my-secret-token
    unauthorizedErrorExample:
      summary: Unauthorized error
      value:
        code: 401
        message: Unauthorized
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````